Skip to navigation

Get AutomationTemplateVariable by ID

Beta
Get a single AutomationTemplateVariable by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

automation_template_variable_idstringRequired
ID of the AutomationTemplateVariable.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
automationStepobjectOptional
configVariableKeystringOptional
createdAtstringOptional
idstringOptional
modifiedAtstringOptional
namestringOptional
pipelineStepobjectOptional
Use automationStep instead.
templateobjectOptional
variableTypeConfigSpecmap from strings to anyOptional
Defines the allowed value type and validation constraints for this variable. The structure depends on the variable's data type.

Errors

400
Automation Template Variable Get Request Bad Request Error
403
Automation Template Variable Get Request Forbidden Error
404
Automation Template Variable Get Request Not Found Error
429
Automation Template Variable Get Request Too Many Requests Error
500
Automation Template Variable Get Request Internal Server Error